Bug 961814 - Review Request: jenkins-crypto-util - Jenkins crypto-util library
Review Request: jenkins-crypto-util - Jenkins crypto-util library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 09:27 EDT by Michal Srb
Modified: 2013-05-22 01:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-22 01:39:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Michal Srb 2013-05-10 09:27:50 EDT
Spec URL: http://msrb.fedorapeople.org/review/jenkins-crypto-util.spec
SRPM URL: http://msrb.fedorapeople.org/review/jenkins-crypto-util-1.1-1.fc20.src.rpm
Description: This package provides utility wrapper around Java Crypto API.
Fedora Account System Username: msrb
Comment 1 gil cattaneo 2013-05-10 10:46:44 EDT
would like to take this review
Comment 2 gil cattaneo 2013-05-10 11:04:24 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils
  See: https://fedoraproject.org/wiki/Packaging:Java
  IGNORE
- Pom files have correct add_maven_depmap call
  Note: No add_maven_depmap calls found but pom files present
  See: https://fedoraproject.org/wiki/Packaging:Java#add_maven_depmap_macro
  IGNORE
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
  IGNORE
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
  IGNORE

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/gil/961814-jenkins-
     crypto-util/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Fully versioned dependency in subpackages, if present.
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jenkins-crypto-util-1.1-1.fc20.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jenkins-crypto-util
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
jenkins-crypto-util (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(commons-io:commons-io)



Provides
--------
jenkins-crypto-util:
    jenkins-crypto-util
    mvn(org.jenkins-ci:crypto-util)



MD5-sum check
-------------
https://github.com/jenkinsci/lib-crypto-util/archive/crypto-util-1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 6ed826432a4564d8779090ead0b2698124cee866d64363b061918bbbb7e8b6bf
  CHECKSUM(SHA256) upstream package : 6ed826432a4564d8779090ead0b2698124cee866d64363b061918bbbb7e8b6bf
https://raw.github.com/jenkinsci/jenkins/jenkins-1.510/LICENSE.txt :
  CHECKSUM(SHA256) this package     : 0599d996b7b64a61ff60fabb4b69dc807b6d396abbc6d2ddb43c3dc36204b89d
  CHECKSUM(SHA256) upstream package : 0599d996b7b64a61ff60fabb4b69dc807b6d396abbc6d2ddb43c3dc36204b89d


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-i386
Command line :/usr/bin/fedora-review -b 961814 -m fedora-rawhide-i386

can fix this? should be asked to include license
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it

approved
Comment 3 Michal Srb 2013-05-13 07:14:06 EDT
Thanks for the review, I will ask upstream if it would be possible to add license text(s) to the repository.


New Package SCM Request
=======================
Package Name: jenkins-crypto-util
Short Description: Jenkins crypto-util library
Owners: msrb sochotni mizdebsk tradej
Branches: f19
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2013-05-13 09:28:23 EDT
Clearing flag.
Comment 5 Michal Srb 2013-05-13 10:23:51 EDT
New Package SCM Request
=======================
Package Name: jenkins-crypto-util
Short Description: Jenkins crypto-util library
Owners: msrb sochotni mizdebsk tradej
Branches: f19
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2013-05-13 10:52:23 EDT
Clear flag.
Comment 7 Michal Srb 2013-05-22 01:39:15 EDT
Built in Rawhide and F19.

Note You need to log in before you can comment on or make changes to this bug.